Bug 854070 - [abrt]: WARNING: at drivers/gpu/drm/i915/intel_display.c:948 assert_pipe+0x8a/0x90 [i915]()
[abrt]: WARNING: at drivers/gpu/drm/i915/intel_display.c:948 assert_pipe+0x8a...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:2dd64fe08c3441f4e9a8be0ac55...
:
: 854221 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 18:10 EDT by Dave Ulrick
Modified: 2013-02-13 03:26 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:26:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Ulrick 2012-09-03 18:10:26 EDT
libreport version: 2.0.10
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.4.9-2.fc16.i686.PAE root=UUID=7cd5e545-d442-4d1f-b629-581058b288cc ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8

backtrace:
:WARNING: at drivers/gpu/drm/i915/intel_display.c:948 assert_pipe+0x8a/0x90 [i915]()
:Hardware name: HP Mini
:pipe A assertion failure (expected on, current off)
:Modules linked in: fuse lockd tpm_bios nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables arc4 coretemp b43 mac80211 cfg80211 bcma snd_hda_codec_idt hp_wmi sparse_keymap rfkill uvcvideo videobuf2_core videodev media videobuf2_vmalloc videobuf2_memops microcode joydev snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device serio_raw iTCO_wdt iTCO_vendor_support i2c_i801 snd_pcm ssb sky2 mmc_core snd_timer snd soundcore snd_page_alloc wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video sunrpc uinput usb_storage [last unloaded: scsi_wait_scan]
:Pid: 4311, comm: Xorg Tainted: G        W    3.4.9-2.fc16.i686.PAE #1
:Call Trace:
: [<c0446fd2>] warn_slowpath_common+0x72/0xa0
: [<f809a26a>] ? assert_pipe+0x8a/0x90 [i915]
: [<f809a26a>] ? assert_pipe+0x8a/0x90 [i915]
: [<c04470a3>] warn_slowpath_fmt+0x33/0x40
: [<f809a26a>] assert_pipe+0x8a/0x90 [i915]
: [<f809b7c3>] intel_crtc_disable+0x73/0xb0 [i915]
: [<f80a3638>] ? intel_crt_dpms+0x78/0xb0 [i915]
: [<f7f031df>] drm_helper_disable_unused_functions+0xef/0x150 [drm_kms_helper]
: [<f7f04ab4>] drm_crtc_helper_set_config+0x974/0xa20 [drm_kms_helper]
: [<c0670760>] ? copy_to_user+0x40/0x60
: [<f7fc4de0>] ? drm_ioctl+0x3e0/0x460 [drm]
: [<f7fc4e60>] ? drm_ioctl+0x460/0x460 [drm]
: [<f7f01e1d>] drm_fb_helper_restore_fbdev_mode+0x2d/0x50 [drm_kms_helper]
: [<f80b02fe>] intel_fb_restore_mode+0x2e/0xa0 [i915]
: [<f7fce065>] ? drm_ht_remove+0x35/0x40 [drm]
: [<f807ca4b>] i915_driver_lastclose+0x2b/0x50 [i915]
: [<f7fc4f45>] drm_lastclose+0x45/0x2a0 [drm]
: [<f7fc57a8>] drm_release+0x468/0x610 [drm]
: [<c054a988>] fput+0xb8/0x220
: [<c0547234>] filp_close+0x54/0x80
: [<c05472bb>] sys_close+0x5b/0xa0
: [<c095c5df>] sysenter_do_call+0x12/0x28
Comment 1 Adam Jackson 2012-09-04 09:17:14 EDT
*** Bug 854221 has been marked as a duplicate of this bug. ***
Comment 2 Dave Ulrick 2012-09-07 10:10:58 EDT
This bug has happened many times since my initial report. It seems to occur when the X server starts or exits (i.e., session logon or logoff) or after suspend/resume.
Comment 3 Dave Ulrick 2012-09-10 08:20:36 EDT
Clarification: the warning occurs every time I log off XFCE4 or Gnome. It also occurs every time the laptop resumes from an ACPI suspend by opening the lid.
Comment 4 Dave Ulrick 2012-10-09 08:58:01 EDT
This problem has continued to occur every time I log off or resume from suspend. It appears that three kernel warnings occur in quick succession at these times. It causes a noticable delay (with the screen going black) while the warnings are processed.

Unfortunately, I've gotten tired of these warnings so I've replaced FC16 with another Linux distro (CentOS 6.3) that has an older kernel and older i915 module that doesn't suffer from this bug. Therefore I won't be able to help test fixes, etc., for this bug. Go ahead and close it if you'd like.
Comment 5 Fedora End Of Life 2013-01-16 05:07:09 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 03:26:04 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.